Bug 187333 - Copyright and rfc1912.txt switched in bind-config package
Copyright and rfc1912.txt switched in bind-config package
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
5
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jason Vas Dias
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-30 00:46 EST by John Tapparo
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-26 03:29:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Tapparo 2006-03-30 00:46:29 EST
Description of problem:
The contents of the /usr/share/doc/bind-config-9.3.2/Copyright file seem to
contain RFC 1912.  The contents of the
/usr/share/doc/bind-config-9.3.2/rfc1912.txt file seem to contain the copyright
information.

Version-Release number of selected component (if applicable):
bind-config-9.3.2-12.FC5
I saw this on the i386 package, but I suspect that it may be a problem on other
platforms as well.

How reproducible:
Always on my machine

Steps to Reproduce:
1. head /usr/share/doc/bind-config-9.3.2/Copyright
2. head /usr/share/doc/bind-config-9.3.2/rfc1912.txt

  
Actual results:
Note that Copyright looks like an RFC and rfc1912.txt looks like copyright
information.

Expected results:
Copyright to contain the copyright information and rfc1912.txt to contain the RFC.

Additional info:
root@obscured# uname -srvmpio
Linux 2.6.16-1.2080_FC5 #1 Tue Mar 28 03:38:34 EST 2006 i686 athlon i386 GNU/Linux
root@obscured# rpm -q bind-config
bind-config-9.3.2-12.FC5
root@obscured# head /usr/share/doc/bind-config-9.3.2/Copyright






Network Working Group                                            D. Barr
Request for Comments: 1912             The Pennsylvania State University
Obsoletes: 1537                                            February 1996
Category: Informational
root@obscured# head /usr/share/doc/bind-config-9.3.2/rfc1912.txt

The files included in this package are obtained from
ftp://ftp.internic.net/domain/, where they are made
available for free to anybody. In other words, this package
is created under a Public Domain license.
root@obscured# ls -l /usr/share/doc/bind-config-9.3.2/
total 52
-rw-r--r-- 1 root root 38252 Mar 22 13:19 Copyright
-rw-r--r-- 1 root root   210 Mar 22 13:19 rfc1912.txt
root@obscured# rpm2cpio bind-config-9.3.2-12.FC5.i386.rpm | cpio -itv
-rw-r--r--   1 root     root         1008 Mar 22 13:19
./etc/named.caching-nameserver.conf
-rw-r--r--   1 root     root          871 Mar 22 13:19 ./etc/named.rfc1912.zones
drwxr-xr-x   2 root     root            0 Mar 22 13:19
./usr/share/doc/bind-config-9.3.2
-rw-r--r--   1 root     root        38252 Mar 22 13:19
./usr/share/doc/bind-config-9.3.2/Copyright
-rw-r--r--   1 root     root          210 Mar 22 13:19
./usr/share/doc/bind-config-9.3.2/rfc1912.txt
-rw-r--r--   1 root     root          198 Mar 22 13:19 ./var/named/localdomain.zone
-rw-r--r--   1 root     root          195 Mar 22 13:19 ./var/named/localhost.zone
-rw-r--r--   1 root     root          427 Mar 22 13:19 ./var/named/named.broadcast
-rw-r--r--   1 root     root         2518 Mar 22 13:19 ./var/named/named.ca
-rw-r--r--   1 root     root          424 Mar 22 13:19 ./var/named/named.ip6.local
-rw-r--r--   1 root     root          426 Mar 22 13:19 ./var/named/named.local
-rw-r--r--   1 root     root          427 Mar 22 13:19 ./var/named/named.zero


I cannot verify the docs for the RPM to make sure that they were installed
properly, however I ran rpm2cpio and included a TOC above...
Comment 1 Jason Vas Dias 2006-03-30 11:27:17 EST
Thanks - well spotted.

Yes, there was a mixup between %SOURCE24 and %SOURCE25 in the .spec file -
sorry about that.

I've now fixed this in CVS, and it will be fixed in bind-9.3.2-16.FC5+ .
Comment 2 Fedora Update System 2006-04-04 12:11:39 EDT
bind-9.3.2-16.FC5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 3 Fedora Update System 2006-04-17 11:43:00 EDT
bind-9.3.2-16.FC5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 4 John Tapparo 2006-05-30 10:19:02 EDT
Checked on my bind-config-9.3.2-20.FC5.  The files look to be straightened out.

Note You need to log in before you can comment on or make changes to this bug.